Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000180Frama-CKernelpublic2009-07-09 19:382014-02-12 16:57
Reporterdpariente 
Assigned Topascal 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Beryllium-20090901 
Summary0000180: Save/Load elapsed time
DescriptionHello,

A state is saved after a simple value analysis:
  frama-c -val -slevel 0 -main M file.c -save state.sav
file.c is about 12 ksloc.
This analysis takes about 15 minutes.

Simply loading the previously generated state.sav file:
  frama-c -load state.sav
takes about 18 minutes.

A loading time being greater than the analyzing+saving time is quite puzzling!

An analysis recommended by some of Frama-C's experts showed that most of the elapsed time was due to value_table deserializing.
What can be done to improve loading time?

Regards,
Dillon

(P.S. : Rel.id>=5634)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000281)
pascal (reporter)
2009-07-20 11:06

After further study and help from the reporter, the delay in loading
has been fixed in SVN 5773. The fix will be available in the first
release after Beryllium 20090601.

- Issue History
Date Modified Username Field Change
2009-07-09 19:38 dpariente New Issue
2009-07-20 11:06 pascal Note Added: 0000281
2009-07-20 11:06 pascal Status new => resolved
2009-07-20 11:06 pascal Fixed in Version => Frama-C svn, precise the release id
2009-07-20 11:06 pascal Resolution open => fixed
2009-07-20 11:06 pascal Assigned To => pascal
2009-09-02 10:54 signoles Status resolved => closed
2009-09-23 16:56 signoles Fixed in Version Frama-C svn, precise the release id => Frama-C Beryllium


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker